#ifndef Player_H
#define Player_H

#include <irrlicht.h>
using namespace irr;


class Player{
    public:

    Player(scene::ISceneManager* smgr, int h, int w, int s, int angle, int form, core::vector3df location, video::IVideoDriver* driver);

    void setPosition(core::vector3df x);

    core::vector3df getPosition();

    void setPlayerAngle(int ang);

    int getPlayerAngle();

    int getSpeed();

    void setBallPossession(bool possess);

    bool getBallPossession();
    
    void setAnimationSpeed(int sp);

    void setRotation(core::vector3df x);

    void setAnimation(int a, int b);

    int facingangle;
    bool hasball;
    private:
    int height;
    int weight;
    int speed;


    scene::IAnimatedMeshSceneNode *playerNode;
    //scene::ITextSceneNode *playerName;

};

#endif
