#ifndef INC_USERINTERFACE_H
#define INC_USERINTERFACE_H
#include <irrlicht.h>
using namespace irr::gui;
using namespace irr::video;
struct SAppContext
{
	irr::IrrlichtDevice *deviceb;
	irr::s32				counter;
    IGUIListBox*	listbox;
};
enum
{
	GUI_ID_CUP=101,//1.level
	GUI_ID_EXHIBITION=102,//1.level
	GUI_ID_TRAINING=103,//1.level
	GUI_ID_TRANSPARENCY_SCROLL_BAR=104,
	GUI_ID_TEAM_SELECT_2=105,//2.level
	GUI_ID_TEAM_SELECT_1=106,//2.level
	GUI_ID_BACK=107,
    GUI_ID_SELECT_FORMATION_2=108,//2.level
	GUI_ID_SELECT_FORMATION_1=109,
	GUI_ID_START_MATCH=110,
	GUI_ID_LEAGUE=111,
    GUI_ID_MULTIPLAYER=112,
    GUI_ID_FUN_MODES=113,
    GUI_ID_EDIT=114,
    GUI_ID_SETTINGS=115,
    GUI_ID_EXITLINUX=116,
    GUI_ID_CHOOSESTADIUM=117,
    GUI_ID_RETURNTOGAME=118,
    GUI_ID_SUBS=119,
    GUI_ID_SELECTSTADIUM,
    GUI_ID_SELECTSTREET,
};
class UserInterface
{
    public:
        int loadStartMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device);
        int loadExhibition(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device,irr::u32 stadiumselect);
        int loadInGameMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device);
        int loadForFunMenu(IVideoDriver* driver,IGUIEnvironment* env, IGUISkin* skin,IGUIFont* font,irr::IrrlichtDevice* device);
    private:

};
#endif

